package org.cs.mgr.setting.model;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;


/**
 * AppVersion entity. @author MyEclipse Persistence Tools
 */
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="app_version")
public class AppVersion  implements java.io.Serializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = -7055031473842412074L;
	// Fields    
     private String id;
     private String version;
     private String plat;
     private String url;
     private boolean compel;
     private String remark;
     private Date createDate;
     private String attr2;
     private String attr3;
     private Date modifyDate;
     private String attr1;


    // Constructors

    /** default constructor */
    public AppVersion() {
    }

    
    /** full constructor */
    public AppVersion(String version, String plat, String url, boolean compel, String remark, Date createDate, String attr2, String attr3, Date modifyDate, String attr1) {
        this.version = version;
        this.plat = plat;
        this.url = url;
        this.compel = compel;
        this.remark = remark;
        this.createDate = createDate;
        this.attr2 = attr2;
        this.attr3 = attr3;
        this.modifyDate = modifyDate;
        this.attr1 = attr1;
    }

   
    // Property accessors
	@Id
	@SequenceGenerator(name="sequenceGenerator",sequenceName="VSERSION_SEQ")
	@GeneratedValue(generator="sequenceGenerator",strategy=GenerationType.SEQUENCE)
	@Column(name = "id", unique = true, nullable = false, precision = 11, scale = 0)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    
    @Column(name="version")
    public String getVersion() {
        return this.version;
    }
    
    public void setVersion(String version) {
        this.version = version;
    }
    
    @Column(name="plat")
    public String getPlat() {
        return this.plat;
    }
    
    public void setPlat(String plat) {
        this.plat = plat;
    }
    
    @Column(name="url")
    public String getUrl() {
        return this.url;
    }
    
    public void setUrl(String url) {
        this.url = url;
    }
    
    @Column(name="compel")
    public boolean getCompel() {
        return this.compel;
    }
    
    public void setCompel(boolean compel) {
        this.compel = compel;
    }
    
    @Column(name="remark")
    public String getRemark() {
        return this.remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    @Column(name="create_date")
    public Date getCreateDate() {
        return this.createDate;
    }
    
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    
    @Column(name="attr2")
    public String getAttr2() {
        return this.attr2;
    }
    
    public void setAttr2(String attr2) {
        this.attr2 = attr2;
    }
    
    @Column(name="attr3")
    public String getAttr3() {
        return this.attr3;
    }
    
    public void setAttr3(String attr3) {
        this.attr3 = attr3;
    }
    
    @Column(name="modify_date")
    public Date getModifyDate() {
        return this.modifyDate;
    }
    
    public void setModifyDate(Date modifyDate) {
        this.modifyDate = modifyDate;
    }
    
    @Column(name="attr1")
    public String getAttr1() {
        return this.attr1;
    }
    
    public void setAttr1(String attr1) {
        this.attr1 = attr1;
    }

}